package com.casic.PgInterface.construction.dto;

import com.casic.PgInterface.construction.domain.PgConRequestMsg;

import java.util.ArrayList;
import java.util.List;

public class PgConRequestMsgDto {

    private String BUILD_TASK_ID;//作业令编号
    private String DATE1;//请点日期
    private String TASK_ID;//作业代码
    private String BUILD_COMPANY;//施工单位
    private String SUPERVISOR_TEL;//请点负责人
    private String TEL;//负责人电话
    private String BUILD_PLACE;//请点地点
    private String BUILD_TIME;//请点时间
    private String START_PLACE;//起始位置
    private String END_PLACE;//结束位置
    private String PROJECT;//所属项目 CBL：城北路，CYL：城阳路，THXC:太湖新城
    private String BUILD_CONTENT;//施工内容
    private String APPROVER;//批准人
    private String APPROVER_TIME;//批准时间
    private String LOG_DATE;


    public String getBUILD_TASK_ID() {
        return BUILD_TASK_ID;
    }

    public void setBUILD_TASK_ID(String BUILD_TASK_ID) {
        this.BUILD_TASK_ID = BUILD_TASK_ID;
    }

    public String getDATE1() {
        return DATE1;
    }

    public void setDATE1(String DATE1) {
        this.DATE1 = DATE1;
    }

    public String getTASK_ID() {
        return TASK_ID;
    }

    public void setTASK_ID(String TASK_ID) {
        this.TASK_ID = TASK_ID;
    }

    public String getBUILD_COMPANY() {
        return BUILD_COMPANY;
    }

    public void setBUILD_COMPANY(String BUILD_COMPANY) {
        this.BUILD_COMPANY = BUILD_COMPANY;
    }

    public String getSUPERVISOR_TEL() {
        return SUPERVISOR_TEL;
    }

    public void setSUPERVISOR_TEL(String SUPERVISOR_TEL) {
        this.SUPERVISOR_TEL = SUPERVISOR_TEL;
    }

    public String getTEL() {
        return TEL;
    }

    public void setTEL(String TEL) {
        this.TEL = TEL;
    }

    public String getBUILD_PLACE() {
        return BUILD_PLACE;
    }

    public void setBUILD_PLACE(String BUILD_PLACE) {
        this.BUILD_PLACE = BUILD_PLACE;
    }

    public String getBUILD_TIME() {
        return BUILD_TIME;
    }

    public void setBUILD_TIME(String BUILD_TIME) {
        this.BUILD_TIME = BUILD_TIME;
    }

    public String getSTART_PLACE() {
        return START_PLACE;
    }

    public void setSTART_PLACE(String START_PLACE) {
        this.START_PLACE = START_PLACE;
    }

    public String getEND_PLACE() {
        return END_PLACE;
    }

    public void setEND_PLACE(String END_PLACE) {
        this.END_PLACE = END_PLACE;
    }

    public String getPROJECT() {
        return PROJECT;
    }

    public void setPROJECT(String PROJECT) {
        this.PROJECT = PROJECT;
    }

    public String getBUILD_CONTENT() {
        return BUILD_CONTENT;
    }

    public void setBUILD_CONTENT(String BUILD_CONTENT) {
        this.BUILD_CONTENT = BUILD_CONTENT;
    }

    public String getAPPROVER() {
        return APPROVER;
    }

    public void setAPPROVER(String APPROVER) {
        this.APPROVER = APPROVER;
    }

    public String getAPPROVER_TIME() {
        return APPROVER_TIME;
    }

    public void setAPPROVER_TIME(String APPROVER_TIME) {
        this.APPROVER_TIME = APPROVER_TIME;
    }

    public String getLOG_DATE() {
        return LOG_DATE;
    }

    public void setLOG_DATE(String LOG_DATE) {
        this.LOG_DATE = LOG_DATE;
    }

    public static PgConRequestMsgDto getPgConRequestMsgDto(PgConRequestMsg pgConRequestMsg){
        PgConRequestMsgDto pgConRequestMsgDto=new PgConRequestMsgDto();

        pgConRequestMsgDto.setBUILD_TASK_ID(pgConRequestMsg.getBUILD_TASK_ID());
        pgConRequestMsgDto.setDATE1(pgConRequestMsg.getDATE1());
        pgConRequestMsgDto.setTASK_ID(pgConRequestMsg.getTASK_ID());
        pgConRequestMsgDto.setBUILD_COMPANY(pgConRequestMsg.getBUILD_COMPANY());
        pgConRequestMsgDto.setSUPERVISOR_TEL(pgConRequestMsg.getSUPERVISOR_TEL());
        pgConRequestMsgDto.setTEL(pgConRequestMsg.getTEL());
        pgConRequestMsgDto.setBUILD_PLACE(pgConRequestMsg.getBUILD_PLACE());
        pgConRequestMsgDto.setBUILD_TIME(pgConRequestMsg.getBUILD_TIME());
        pgConRequestMsgDto.setSTART_PLACE(pgConRequestMsg.getSTART_PLACE());
        pgConRequestMsgDto.setEND_PLACE(pgConRequestMsg.getEND_PLACE());
        pgConRequestMsgDto.setPROJECT(pgConRequestMsg.getPROJECT());
        pgConRequestMsgDto.setBUILD_CONTENT(pgConRequestMsg.getBUILD_CONTENT());
        pgConRequestMsgDto.setAPPROVER(pgConRequestMsg.getAPPROVER());
        pgConRequestMsgDto.setAPPROVER_TIME(pgConRequestMsg.getAPPROVER_TIME());
        pgConRequestMsgDto.setLOG_DATE(pgConRequestMsg.getLOG_DATE());

        return pgConRequestMsgDto;
    }

    public static List<PgConRequestMsgDto> getPgConRequestMsgDtoList(List<PgConRequestMsg> pgConRequestMsgList){
        List<PgConRequestMsgDto> pgConRequestMsgDtoList=new ArrayList<>();

        for(PgConRequestMsg pgConRequestMsg:pgConRequestMsgList){
            pgConRequestMsgDtoList.add(getPgConRequestMsgDto(pgConRequestMsg));
        }

        return pgConRequestMsgDtoList;
    }
}